## org.jfree.report.util.beans
Class TimeZoneValueConverter

    java.lang.Object
      org.jfree.report.util.beans.TimeZoneValueConverter

All Implemented Interfaces:
  ValueConverter

    public class TimeZoneValueConverter

extends java.lang.Object
implements ValueConverter

Creation-Date: 24.01.2006, 19:19:03

Author:
  Thomas Morgner

Constructor Summary
`TimeZoneValueConverter()`

Method Summary
`java.lang.String` `toAttributeValue(java.lang.Object o)` Converts an object to an attribute value.
`java.lang.Object` `toPropertyValue(java.lang.String s)` Converts a string to a property value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TimeZoneValueConverter

    public TimeZoneValueConverter()

Method Detail

### toAttributeValue

    public java.lang.String toAttributeValue(java.lang.Object o)
                                      throws BeanException

  Converts an object to an attribute value.

  Specified by:
    `toAttributeValue` in interface `ValueConverter`
  Parameters:
    `o` - the object.
  Returns:
    the attribute value.
  Throws:
    `BeanException` - if there was an error during the conversion.

### toPropertyValue

    public java.lang.Object toPropertyValue(java.lang.String s)
                                     throws BeanException

  Converts a string to a property value.

  Specified by:
    `toPropertyValue` in interface `ValueConverter`
  Parameters:
    `s` - the string.
  Returns:
    a property value.
  Throws:
    `BeanException` - if there was an error during the conversion.